[racket] Building racket from source

From: Nikita B. Zuev (nikitazu at gmail.com)
Date: Tue Dec 28 02:13:34 EST 2010

Thanks, but I have them all installed, because without them configure
script was failing. Looks like I need to experiment with their

Maybe someone can point me to where I can change makefile to follow
this instruction:

>> /usr/bin/ld: note: 'FcMatrixScale' is defined in DSO
>> /usr/lib/libfontconfig.so.1 so try adding it to the linker command
>> line

I'm not very much into C and makefiles)))

27 декабря 2010 г. 18:54 пользователь Todd O'Bryan
<toddobryan at gmail.com> написал:
> I made a list of which libs you need. Unfortunately, it was a long
> time ago, so I'm not going to point you to it, until I update it. (It
> still talks about DrScheme.)
> Here's the list of libs:
> gcc
> g++
> libcairo2-dev
> libgl1-mesa-dev
> libglu1-mesa-dev
> libxaw7-dev
> libxext-dev
> libxft-dev
> libxmu-dev
> libxt-dev
> make
> I'm not sure which versions are necessary, and the names may be
> slightly different. These worked on the latest Ubuntu.
> Todd
> On Mon, Dec 27, 2010 at 8:35 AM, Nikita B. Zuev <nikitazu at gmail.com> wrote:
>> I'm trying to compile racket 5.0.2 from source code on my laptop.
>> `make' complains:
>> g++ -L../../wxxt/utils/image/src -L../../wxxt/contrib/xpm/lib -pthread
>>  -L../../racket -L../wxs -L../../wxxt/src -o ../gracket3m grmain.o
>> ../libgracket3m.a ../../racket/libracket3m.a -lSM -lICE -lXaw -lXmu
>> -lXt -lX11 -lXext  -lGL -lXrender -lXft   -lcairo   -lpng -lz -ljpeg
>> -ldl -lm  -ldl -lm -rdynamic  ../../wxxt/contrib/xpm/lib/libXpm.a
>> /usr/bin/ld: ../libgracket3m.a(Font.o): undefined reference to symbol
>> 'FcMatrixScale'
>> /usr/bin/ld: note: 'FcMatrixScale' is defined in DSO
>> /usr/lib/libfontconfig.so.1 so try adding it to the linker command
>> line
>> /usr/lib/libfontconfig.so.1: could not read symbols: Invalid operation
>> collect2: выполнение ld завершилось с кодом возврата 1
>> full log is in attachment
>> os - linux fedora 14
>> arch - i686
>> i think problem is in this package: libXft-devel-2.1.14-1.fc14.2.i686
>> (before I installed it, racket compiled but fonts were broken)
>> Some days ago I've successfully build same version of racket on debian
>> so I think maybe problem is in installed libs. I don't know where to
>> look from here, can someone please help?
>> --
>> Regards,
>> Nikita B. Zuev
>> _________________________________________________
>>  For list-related administrative tasks:
>>  http://lists.racket-lang.org/listinfo/users

Nikita B. Zuev

Posted on the users mailing list.